低危 Digium Asterisk up to 13.18.3/14.7.3/15.1.3 RTCP Stack RTCP Packet Crash 拒绝服务漏洞

CVE编号

CVE-2017-17664

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-12-14
漏洞描述
Digium Asterisk Open Source和Certified Asterisk都是美国Digium公司的开源电话交换机(PBX)系统软件。该软件支持语音信箱、多方语音会议、交互式语音应答(IVR)等。

Digium Asterisk Open Source和Certified Asterisk中存在远程拒绝服务漏洞。远程攻击者可借助复合的RTCP数据包利用该漏洞造成拒绝服务(崩溃)。
解决建议
目前厂商已发布升级补丁以修复漏洞,补丁获取链接:
http://downloads.asterisk.org/pub/security/AST-2017-012.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 digium asterisk * From
(including)
13.0.0
Up to
(excluding)
13.18.4
运行在以下环境
应用 digium asterisk * From
(including)
14.0.0
Up to
(excluding)
14.7.4
运行在以下环境
应用 digium asterisk * From
(including)
15.0.0
Up to
(excluding)
15.1.4
运行在以下环境
应用 digium certified_asterisk * Up to
(including)
13.13
运行在以下环境
应用 digium certified_asterisk 13.13 -
运行在以下环境
系统 debian_9 asterisk * Up to
(excluding)
1:13.14.1~dfsg-2+deb9u3
运行在以下环境
系统 fedora_26 asterisk * Up to
(excluding)
13.18.4-1.fc26
运行在以下环境
系统 ubuntu_18.10 asterisk * Up to
(excluding)
1:13.22.0~dfsg-2
阿里云评分
2.7
  • 攻击路径
    远程
  • 攻击复杂度
    困难
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-119 内存缓冲区边界内操作的限制不恰当
阿里云安全产品覆盖情况